- Qt 6.9
- Qt Graphs
- C++ Classes
- QtGraphs
- QCategory3DAxis
- Qt Graphs | Commercial or GPLv3

# QCategory3DAxis Class

The QCategory3DAxis class manipulates an axis of a graph. More...

Header: | `#include <QCategory3DAxis>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Graphs)` `target_link_libraries(mytarget PRIVATE Qt6::Graphs)`
qmake: | `QT += graphs`
In QML: | Category3DAxis
Inherits: | QAbstract3DAxis

- List of all members, including inherited members
- QCategory3DAxis is part of Qt Graphs C++ Classes for 3D.

## Properties

- labels : QStringList

## Public Functions

| QCategory3DAxis(QObject *parent = nullptr)
virtual | ~QCategory3DAxis() override
QStringList | labels() const
void | setLabels(const QStringList &labels)

## Detailed Description

QCategory3DAxis provides an axis that can be given labels. The axis is divided into equal-sized categories based on the data window size defined by setting the axis range.

Grid lines are drawn between categories, if visible. Labels are drawn to positions of categories if provided.

## Property Documentation

### labels : QStringList

This property holds the labels for the axis applied to categories.

If there are fewer labels than categories, the remaining ones do not have a label. If category labels are not defined explicitly, labels are generated from the data row (or column) labels of the primary series of the graph.

Access functions:

QStringList | labels() const
void | setLabels(const QStringList &labels)

Notifier signal:

void | labelsChanged()

## Member Function Documentation

### `[explicit]` QCategory3DAxis::QCategory3DAxis(QObject *parent = nullptr)

Constructs a category 3D axis with the parent parent.

### `[override virtual noexcept]` QCategory3DAxis::~QCategory3DAxis()

Destroys the category 3D axis.